// IRenderer.cs
//
//  Copyright (C) 2007-2008 Chris Howie
//
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 3 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
//
//

using System;

namespace OpenVP {
	/// <summary>
	/// The interface to be implemented by objects that can render graphics
	/// during the controller loop.
	/// </summary>
	public interface IRenderer {
		/// <summary>
		/// Renders one frame.
		/// </summary>
		/// <param name="controller">
		/// The <see cref="IController"/>.
		/// </param>
		void Render(IController controller);
	}
}
